Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction.injac.metadata
Class MetaDataConstants

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.injac.metadata.MetaDataConstants

public class MetaDataConstants
extends java.lang.Object

Id: MetaDataConstants.java,v 1.0 30 sept. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: MetaDataConstants Original Author: Yohan Colmant The metadata names

Field Summary
`static java.lang.String` | `DESCRIPTION`
`static java.lang.String` | `DOCUMENT_EXPIRED_STATE`
`static java.lang.String` | `DOCUMENT_INJAC_METADATA`
`static java.lang.String` | `DOCUMENT_OWNER` Injac document
`static java.lang.String` | `DOCUMENT_PUBLISHED_STATE`
`static java.lang.String` | `DOCUMENT_REFUSED_STATE`
`static java.lang.String` | `DOCUMENT_STATE`
`static java.lang.String` | `DOCUMENT_WAITING_STATE`
`static java.lang.String` | `EDITORS`
`static java.lang.String` | `INJAC_TYPE` Space and document
`static java.lang.String` | `INJAC_TYPE_DOCUMENT`
`static java.lang.String` | `INJAC_TYPE_SPACE`
`static java.lang.String` | `MANAGERS`
`static java.lang.String` | `PUBLICATION_DATE_BEGIN`
`static java.lang.String` | `PUBLICATION_DATE_END`
`static java.lang.String` | `REJECT_CAUSE`
`static java.lang.String` | `RENDERING_TYPE`
`static java.lang.String` | `ROOT_DOC_NAME`
`static java.lang.String` | `ROOT_FILE_NAME`
`static java.lang.String` | `WRITERS` Injac space

Constructor Summary
`MetaDataConstants()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INJAC_TYPE

    public static final java.lang.String INJAC_TYPE

  Space and document

  See Also:
    Constant Field Values

### INJAC_TYPE_DOCUMENT

    public static final java.lang.String INJAC_TYPE_DOCUMENT

See Also:
  Constant Field Values

### INJAC_TYPE_SPACE

    public static final java.lang.String INJAC_TYPE_SPACE

See Also:
  Constant Field Values

### DOCUMENT_STATE

    public static final java.lang.String DOCUMENT_STATE

See Also:
  Constant Field Values

### DOCUMENT_PUBLISHED_STATE

    public static final java.lang.String DOCUMENT_PUBLISHED_STATE

See Also:
  Constant Field Values

### DOCUMENT_REFUSED_STATE

    public static final java.lang.String DOCUMENT_REFUSED_STATE

See Also:
  Constant Field Values

### DOCUMENT_WAITING_STATE

    public static final java.lang.String DOCUMENT_WAITING_STATE

See Also:
  Constant Field Values

### DOCUMENT_EXPIRED_STATE

    public static final java.lang.String DOCUMENT_EXPIRED_STATE

See Also:
  Constant Field Values

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

See Also:
  Constant Field Values

### WRITERS

    public static final java.lang.String WRITERS

  Injac space

  See Also:
    Constant Field Values

### EDITORS

    public static final java.lang.String EDITORS

See Also:
  Constant Field Values

### MANAGERS

    public static final java.lang.String MANAGERS

See Also:
  Constant Field Values

### RENDERING_TYPE

    public static final java.lang.String RENDERING_TYPE

See Also:
  Constant Field Values

### DOCUMENT_INJAC_METADATA

    public static final java.lang.String DOCUMENT_INJAC_METADATA

See Also:
  Constant Field Values

### DOCUMENT_OWNER

    public static final java.lang.String DOCUMENT_OWNER

  Injac document

  See Also:
    Constant Field Values

### PUBLICATION_DATE_BEGIN

    public static final java.lang.String PUBLICATION_DATE_BEGIN

See Also:
  Constant Field Values

### PUBLICATION_DATE_END

    public static final java.lang.String PUBLICATION_DATE_END

See Also:
  Constant Field Values

### REJECT_CAUSE

    public static final java.lang.String REJECT_CAUSE

See Also:
  Constant Field Values

### ROOT_FILE_NAME

    public static final java.lang.String ROOT_FILE_NAME

See Also:
  Constant Field Values

### ROOT_DOC_NAME

    public static final java.lang.String ROOT_DOC_NAME

See Also:
  Constant Field Values

Constructor Detail

### MetaDataConstants

    public MetaDataConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD